--- old/usr/src/uts/sun4v/ml/mach_locore.s	Thu Nov 14 19:00:57 2019
+++ new/usr/src/uts/sun4v/ml/mach_locore.s	Thu Nov 14 19:00:57 2019
@@ -23,13 +23,6 @@
  * Use is subject to license terms.
  */
 
-#if defined(lint)
-#include <sys/types.h>
-#include <sys/t_lock.h>
-#include <sys/promif.h>
-#include <sys/prom_isa.h>
-#endif	/* lint */
-
 #include <sys/asm_linkage.h>
 #include <sys/intreg.h>
 #include <sys/ivintr.h>
@@ -46,13 +39,6 @@
 #include <sys/hypervisor_api.h>
 #include <sys/clock.h>
 
-#if defined(lint)
-
-#include <sys/thread.h>
-#include <sys/time.h>
-
-#else	/* lint */
-
 #include "assym.h"
 
 
@@ -182,16 +168,6 @@
 _local_p1275cis:
 	.nword	0
 
-#endif	/* lint */
-
-#if defined(lint)
-
-void
-_start(void)
-{}
-
-#else /* lint */
-
 	.seg	".data"
 
 	.global nwindows, nwin_minus_one, winmask
@@ -364,9 +340,7 @@
 	.asciz	"main returned"
 	.align	4
 
-#endif	/* lint */
 
-
 /*
  * Generic system trap handler.
  *
@@ -402,14 +376,6 @@
  *	    uint32_t arg2 [%g3.l], uint32_t arg3 [%g3.h], uint32_t [%g2.h])
  */
 
-#if defined(lint)
-
-void
-sys_trap(void)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(sys_trap)
 #ifdef DEBUG
 	! Assert gl == 1
@@ -1047,10 +1013,6 @@
 	SET_SIZE(priv_rtt)
 	SET_SIZE(ktl0)
 
-#endif	/* lint */
-
-#ifndef lint
-
 #ifdef DEBUG
 	.seg	".data"
 	.align	4
@@ -1071,7 +1033,6 @@
 	mov	%o3, %o2
 	SET_SIZE(bad_g4)
 #endif /* DEBUG */
-#endif /* lint */
 
 /*
  * sys_tl1_panic can be called by traps at tl1 which
@@ -1078,13 +1039,6 @@
  * really want to panic, but need the rearrangement of
  * the args as provided by this wrapper routine.
  */
-#if defined(lint)
-
-void
-sys_tl1_panic(void)
-{}
-
-#else	/* lint */
 	ENTRY_NP(sys_tl1_panic)
 	mov	%o1, %o0
 	mov	%o2, %o1
@@ -1091,7 +1045,6 @@
 	call	panic
 	mov	%o3, %o2
 	SET_SIZE(sys_tl1_panic)
-#endif /* lint */
 
 
 /*
@@ -1101,29 +1054,11 @@
  * This is used for context switching.
  */
 
-#if defined(lint)
-
-void
-flush_windows(void)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(flush_windows)
 	retl
 	flushw
 	SET_SIZE(flush_windows)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-void
-debug_flush_windows(void)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(debug_flush_windows)
 	set	nwindows, %g1
 	ld	[%g1], %g1
@@ -1145,20 +1080,10 @@
 
 	SET_SIZE(debug_flush_windows)
 
-#endif	/* lint */
-
 /*
  * flush user windows to memory.
  */
 
-#if defined(lint)
-
-void
-flush_user_windows(void)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(flush_user_windows)
 	rdpr	%otherwin, %g1
 	brz	%g1, 3f
@@ -1177,8 +1102,6 @@
 	nop
 	SET_SIZE(flush_user_windows)
 
-#endif	/* lint */
-
 /*
  * Throw out any user windows in the register file.
  * Used by setregs (exec) to clean out old user.
@@ -1186,14 +1109,6 @@
  * signal.
  */
 
-#if defined(lint)
-
-void
-trash_user_windows(void)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(trash_user_windows)
 	rdpr	%otherwin, %g1
 	brz	%g1, 3f			! no user windows?
@@ -1219,43 +1134,16 @@
 	SET_SIZE(trash_user_windows)
 
 
-#endif	/* lint */
-
 /*
  * Setup g7 via the CPU data structure.
  */
-#if defined(lint)
 
-struct scb *
-set_tbr(struct scb *s)
-{ return (s); }
-
-#else	/* lint */
-
 	ENTRY_NP(set_tbr)
 	retl
 	ta	72		! no tbr, stop simulation
 	SET_SIZE(set_tbr)
 
-#endif	/* lint */
 
-
-#if defined(lint)
-/*
- * These need to be defined somewhere to lint and there is no "hicore.s"...
- */
-char etext[1], end[1];
-#endif	/* lint*/
-
-#if defined (lint)
-
-/* ARGSUSED */
-void
-ptl1_panic(u_int reason)
-{}
-
-#else /* lint */
-
 #define	PTL1_SAVE_WINDOW(RP)						\
 	stxa	%l0, [RP + RW64_LOCAL + (0 * RW64_LOCAL_INCR)] %asi;	\
 	stxa	%l1, [RP + RW64_LOCAL + (1 * RW64_LOCAL_INCR)] %asi;	\
@@ -1497,25 +1385,9 @@
 	  mov	%l1, %o0
 	/*NOTREACHED*/
 	SET_SIZE(ptl1_panic)
-#endif /* lint */
 
 #ifdef	PTL1_PANIC_DEBUG
-#if defined (lint)
-/*
- * ptl1_recurse() calls itself a number of times to either set up a known
- * stack or to cause a kernel stack overflow. It decrements the arguments 
- * on each recursion.
- * It's called by #ifdef PTL1_PANIC_DEBUG code in startup.c to set the
- * registers to a known state to facilitate debugging.
- */
 
-/* ARGSUSED */
-void 
-ptl1_recurse(int count_threshold, int trap_threshold)
-{}
-
-#else /* lint */
-
 	ENTRY_NP(ptl1_recurse)
 	save    %sp, -SA(MINFRAME), %sp
 
@@ -1580,16 +1452,6 @@
 	  nop 					! NOTREACHED 
         SET_SIZE(ptl1_recurse)
 
-#endif /* lint */
-
-#if defined (lint)
-
-/* ARGSUSED */
-void
-ptl1_panic_xt(int arg1, int arg2)
-{}
-
-#else /* lint */
 	/*
 	 * Asm function to handle a cross trap to call ptl1_panic()
 	 */
@@ -1598,20 +1460,10 @@
 	  mov	PTL1_BAD_DEBUG, %g1
         SET_SIZE(ptl1_panic_xt)
 
-#endif /* lint */
-
 #endif	/* PTL1_PANIC_DEBUG */
 
 #ifdef	TRAPTRACE
-#if	defined (lint)
 
-void
-trace_ptr_panic(void)
-{
-}
-
-#else	/* lint */
-
 	ENTRY_NP(trace_ptr_panic)
 	!
 	! freeze the trap trace to disable the assertions.  Otherwise,
@@ -1633,7 +1485,6 @@
 	mov	PTL1_BAD_TRACE_PTR, %g1
 	SET_SIZE(trace_ptr_panic)
 
-#endif	/* lint */
 #endif	/* TRAPTRACE */
 
 /*
@@ -1641,15 +1492,6 @@
  * calling the 64-bit romvec OBP.
  */
 
-#if defined(lint)
-
-/* ARGSUSED */
-int
-client_handler(void *cif_handler, void *arg_array)
-{ return 0; }
-
-#else	/* lint */
-
 	ENTRY(client_handler)
 	save	%sp, -SA64(MINFRAME64), %sp	! 32 bit frame, 64 bit sized
 	sethi	%hi(tba_taken_over), %l2
@@ -1672,17 +1514,6 @@
 	restore	%o0, %g0, %o0			! delay; result in %o0
 	SET_SIZE(client_handler)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/*ARGSUSED*/
-void
-panic_bad_hcall(uint64_t err, uint64_t hcall)
-{}
-
-#else   /* lint */
-
 	.seg	".text"
 bad_hcall_error:
 	.asciz	"hypervisor call 0x%x returned an unexpected error %d"
@@ -1703,4 +1534,3 @@
 	mov	%o3, %o7
 	SET_SIZE(panic_bad_hcall)
 
-#endif  /* lint */
